org.apache.ignite.spi.systemview.view

## Class SqlIndexView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.SqlIndexView

-     public class SqlIndexView
      extends Object

  Sql index representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlIndexView(org.apache.ignite.internal.processors.query.h2.opt.GridH2Table tbl, org.h2.index.Index idx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cacheId()`
    `String` | `cacheName()`
    `String` | `columns()`
    `String` | `indexName()`
    `org.apache.ignite.internal.processors.query.h2.database.H2IndexType` | `indexType()`
    `int` | `inlineSize()`
    `boolean` | `isPk()`
    `boolean` | `isUnique()`
    `String` | `schemaName()`
    `String` | `tableName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlIndexView

          public SqlIndexView(org.apache.ignite.internal.processors.query.h2.opt.GridH2Table tbl,
                              org.h2.index.Index idx)

  - ### Method Detail

    - #### cacheId

          public int cacheId()

      Returns:
        Cache id.

    - #### cacheName

          public String cacheName()

      Returns:
        Cache name.

    - #### schemaName

          public String schemaName()

      Returns:
        Schema name.

    - #### tableName

          public String tableName()

      Returns:
        Table name.

    - #### indexName

          public String indexName()

      Returns:
        Index name.

    - #### indexType

          public org.apache.ignite.internal.processors.query.h2.database.H2IndexType indexType()

      Returns:
        Index type.

    - #### columns

          public String columns()

      Returns:
        Indexed columns.

    - #### isPk

          public boolean isPk()

      Returns:
        `True` if primary key index, `false` otherwise.

    - #### isUnique

          public boolean isUnique()

      Returns:
        `True` if unique index, `false` otherwise.

    - #### inlineSize

          public int inlineSize()

      Returns:
        Inline size.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020